Bug 176761 - Port Update: finance/frontaccounting Version and license update.
Summary: Port Update: finance/frontaccounting Version and license update.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-08 19:10 UTC by ek
Modified: 2013-03-10 04:20 UTC (History)
0 users

See Also:


Attachments
frontaccounting-2.3.15-port.diff (1.22 KB, patch)
2013-03-08 19:10 UTC, ek
no flags Details | Diff
frontaccounting.diff (2.29 KB, patch)
2013-03-08 22:13 UTC, Beech Rintoul
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ek 2013-03-08 19:10:00 UTC

    
Comment 1 Beech Rintoul freebsd_committer 2013-03-08 20:37:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 2 Beech Rintoul freebsd_committer 2013-03-08 22:13:43 UTC
Port has plist problems:

http://www.freebsdnorth.com/tb/errors/8-FreeBSD/frontaccounting-2.3.15.log

Fix attached, please approve.

Beech


-- 
--------------------------------------------------------------------------------------- 
Beech Rintoul - Committer / Developer - beech@FreeBSD.org 
/"\ ASCII Ribbon Campaign | FreeBSD Since 4.x 
\ / - NO HTML/RTF in e-mail | http://www.freebsd.org 
 X  - NO Word docs in e-mail | Latest Release: 
/ \ - http://www.freebsd.org/releases/9.1R/announce.html
--------------------------------------------------------------------------------------- 
Comment 3 ek 2013-03-09 16:15:59 UTC
Ah! I forgot to update the PList. Sorry! Thanks for taking care of that.
I certainly approve the changes. Go ahead and commit!

Thanks,
Janky Jay, III
Comment 4 dfilter service freebsd_committer 2013-03-10 04:17:10 UTC
Author: beech
Date: Sun Mar 10 04:17:01 2013
New Revision: 313800
URL: http://svnweb.freebsd.org/changeset/ports/313800

Log:
  - Update to 2.3.15
  - Update License
  
  PR:		ports/176761
  Submitted by:	Janketh Jay <ek@purplehat.org> (maintainer)

Modified:
  head/finance/frontaccounting/Makefile
  head/finance/frontaccounting/distinfo   (contents, props changed)
  head/finance/frontaccounting/pkg-plist   (contents, props changed)

Modified: head/finance/frontaccounting/Makefile
==============================================================================
--- head/finance/frontaccounting/Makefile	Sun Mar 10 04:06:21 2013	(r313799)
+++ head/finance/frontaccounting/Makefile	Sun Mar 10 04:17:01 2013	(r313800)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	frontaccounting
-DISTVERSION=	2.3.14
+DISTVERSION=	2.3.15
 CATEGORIES=	finance www
 MASTER_SITES=	SF
 MASTER_SITE_SUBDIR=	${PORTNAME}/FrontAccounting-2.3/${PORTVERSION}
@@ -10,6 +10,9 @@ MASTER_SITE_SUBDIR=	${PORTNAME}/FrontAcc
 MAINTAINER=	ek@purplehat.org
 COMMENT=	Simple, powerful system for the entire ERP chain
 
+LICENSE=	GPLv3
+LICENSE_FILE=	${WRKSRC}/doc/license.txt
+
 USE_GETTEXT=	yes
 USE_MYSQL=	yes
 USE_PHP+=	mysql mysqli openssl session

Modified: head/finance/frontaccounting/distinfo
==============================================================================
--- head/finance/frontaccounting/distinfo	Sun Mar 10 04:06:21 2013	(r313799)
+++ head/finance/frontaccounting/distinfo	Sun Mar 10 04:17:01 2013	(r313800)
@@ -1,2 +1,2 @@
-SHA256 (frontaccounting-2.3.14.tar.gz) = 2326e84e87ef2d49320637c13b962c82dac3f7599e91f5d96b8ced598ad117e0
-SIZE (frontaccounting-2.3.14.tar.gz) = 1256456
+SHA256 (frontaccounting-2.3.15.tar.gz) = a1c27b58591c1043c4a6ee7b4085347b8ce9a4d08981491ebcc3a7a4f3d63d50
+SIZE (frontaccounting-2.3.15.tar.gz) = 1263829

Modified: head/finance/frontaccounting/pkg-plist
==============================================================================
--- head/finance/frontaccounting/pkg-plist	Sun Mar 10 04:06:21 2013	(r313799)
+++ head/finance/frontaccounting/pkg-plist	Sun Mar 10 04:17:01 2013	(r313800)
@@ -402,6 +402,7 @@
 %%WWWDIR%%/reporting/rep202.php
 %%WWWDIR%%/reporting/rep203.php
 %%WWWDIR%%/reporting/rep204.php
+%%WWWDIR%%/reporting/rep205.php
 %%WWWDIR%%/reporting/rep209.php
 %%WWWDIR%%/reporting/rep210.php
 %%WWWDIR%%/reporting/rep301.php
@@ -410,6 +411,7 @@
 %%WWWDIR%%/reporting/rep304.php
 %%WWWDIR%%/reporting/rep305.php
 %%WWWDIR%%/reporting/rep306.php
+%%WWWDIR%%/reporting/rep307.php
 %%WWWDIR%%/reporting/rep401.php
 %%WWWDIR%%/reporting/rep409.php
 %%WWWDIR%%/reporting/rep501.php
@@ -592,6 +594,7 @@
 %%WWWDIR%%/themes/default/images/download.gif
 %%WWWDIR%%/themes/default/images/edit.gif
 %%WWWDIR%%/themes/default/images/escape.png
+%%WWWDIR%%/themes/default/images/favicon.ico
 %%WWWDIR%%/themes/default/images/gl.png
 %%WWWDIR%%/themes/default/images/help.gif
 %%WWWDIR%%/themes/default/images/invoice.gif
@@ -742,3 +745,4 @@
 @dirrm %%WWWDIR%%/admin
 @dirrm %%WWWDIR%%/access
 @dirrm %%WWWDIR%%
+
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Beech Rintoul freebsd_committer 2013-03-10 04:17:56 UTC
State Changed
From-To: open->closed

Committed, Thanks!